generateCOP=function(n,m,FileSigma,FileDistances,FileTheta,G,typeDistance,FileOut){

	source("LinearProg.R")
	source("Zvalue.R")

	a=Sys.time()
	set.seed(a)
		
	data=scan(FileSigma)
	ConsensusPerms=matrix(data,byrow=T,nrow=m)
	distances=scan(FileDistances)
	data2=scan(FileTheta)
	thetas=matrix(data2,byrow=T,nrow=m)
	rm(data)
	rm(data2)

	zeta=Zvalue(n,m,thetas, typeDistance)
	
	res_LinearProg=LinearProg(n,m,thetas,distances,G,typeDistance, zeta)
	x=getColsPrimIptGLPK(res_LinearProg)


	sink(FileOut)
	for(i in 1:m){
		cat(sprintf("%s   ", ConsensusPerms[i,]))
		cat(sprintf("%f  ",x[i]/zeta[i]))
		cat(sprintf("%s ",thetas[i,]),"\n")
	}

	sink()
}

